Skip to main content
POST
/
v1
/
information-requests
/
{informationRequestId}
/
data
curl --request POST \
  --url https://sandbox-api.va.meridianpay.com/v1/information-requests/{informationRequestId}/data \
  --header 'Content-Type: application/json' \
  --data '
{
  "entries": [
    {
      "requirementKey": "us_business_information",
      "entryId": "us_business_information:0",
      "data": {
        "legalName": "Acme Industries LLC",
        "displayName": "Acme Industries",
        "registrationNumber": "C1234567",
        "incorporationDate": "2020-03-15",
        "industry": "Software",
        "taxNumber": "98-7654321",
        "businessType": "LIMITED_LIABILITY_COMPANY",
        "websiteUrl": "https://www.acme.example"
      }
    },
    {
      "requirementKey": "us_registered_address",
      "entryId": "us_registered_address:0",
      "data": {
        "addressLine1": "123 Market St",
        "addressLine2": "Suite 400",
        "city": "San Francisco",
        "stateProvince": "CA",
        "postalCode": "94105",
        "countryCode": "US"
      }
    },
    {
      "requirementKey": "associated_persons",
      "entryId": "associated_persons:0",
      "clientReferenceId": "representative-1",
      "data": {
        "roles": [
          "BENEFICIAL_OWNER",
          "CONTROL_PERSON",
          "SIGNER"
        ],
        "title": "CEO",
        "ownershipPercentage": 60,
        "person": {
          "firstName": "John",
          "lastName": "Smith",
          "dateOfBirth": "1986-06-01",
          "citizenship": "US",
          "email": "john.smith@acme.example",
          "phoneNumber": "+12813308004",
          "taxNumber": "078-05-1120",
          "physicalAddress": {
            "addressLine1": "100 Legends Way",
            "addressLine2": "Apt 5",
            "city": "Boston",
            "stateProvince": "MA",
            "postalCode": "02114",
            "countryCode": "US"
          }
        }
      }
    },
    {
      "requirementKey": "associated_persons",
      "entryId": "associated_persons:1",
      "clientReferenceId": "representative-2",
      "data": {
        "roles": [
          "DIRECTOR"
        ],
        "title": "Director",
        "ownershipPercentage": 40,
        "person": {
          "firstName": "Jane",
          "lastName": "Doe",
          "dateOfBirth": "1990-11-23",
          "citizenship": "US",
          "email": "jane.doe@acme.example",
          "phoneNumber": "+14155550199",
          "taxNumber": "087-65-4321",
          "physicalAddress": {
            "addressLine1": "742 Evergreen Terrace",
            "city": "San Francisco",
            "stateProvince": "CA",
            "postalCode": "94110",
            "countryCode": "US"
          }
        }
      }
    },
    {
      "requirementKey": "credit_wallet_address",
      "entryId": "credit_wallet_address:0",
      "data": {
        "creditWalletAddress": "0x52908400098527886E0F7030069857D2E4169EE7"
      }
    }
  ]
}
'
{
  "id": "ir_01HZX1A2B3C4D5E6F7G8H9J0K",
  "status": "DRAFT",
  "subjectType": "ENROLLMENT",
  "subjectId": "enrollment_123",
  "requirements": [
    {
      "requirementKey": "business_information",
      "cardinality": {
        "mode": "SINGLE",
        "min": 1,
        "max": 1
      },
      "documents": [
        {
          "documentKey": "identityDocumentFront",
          "minFiles": 123,
          "maxFiles": 123,
          "supportedMimeTypes": [
            "<string>"
          ],
          "maxFileSizeBytes": 123
        }
      ],
      "entries": [
        {
          "entryId": "<string>",
          "documents": [
            {
              "documentKey": "<string>",
              "files": [
                {
                  "fileName": "business_license.pdf",
                  "mimeType": "application/pdf",
                  "sizeBytes": 204800,
                  "storageKey": "uploads/ir_01HZX1A2B3C4D5E6F7G8H9J0K/businessLicense/business_license.pdf"
                }
              ]
            }
          ],
          "clientReferenceId": "<string>",
          "data": {}
        }
      ],
      "title": "<string>",
      "description": "<string>",
      "dataSchema": {}
    }
  ],
  "validationStatus": "MISSING",
  "createdAt": "2026-04-01T12:00:00Z",
  "updatedAt": "2026-04-01T12:05:00Z",
  "decision": "PENDING",
  "title": "Business Verification"
}

Headers

Authorization
string

Bearer authentication header of the form Bearer {token}. Required for client-server (JWT) authentication. See Authentication.

X-Meridian-Program-Id
string

Identifies the program context for the request. Required for server-to-server (HMAC) authentication. See Authentication.

X-Meridian-User-Id
string

Identifies the Meridian user targeted by the request. Required for server-to-server (HMAC) authentication with MULTI_USER integrations; omit for SINGLE_USER. See Authentication.

X-Meridian-Api-Key
string

Partner API key issued by Meridian during provisioning. Required for server-to-server (HMAC) authentication. See Authentication.

X-Meridian-Timestamp
string

Current time in milliseconds since the Unix epoch. Must be within 60 seconds of the request. Required for server-to-server (HMAC) authentication. See Authentication.

X-Meridian-Signature
string

HMAC SHA-256 signature of the canonical request string, computed per request. Required for server-to-server (HMAC) authentication. See Authentication for how to construct it.

Path Parameters

informationRequestId
string
required

Body

application/json

Requirement entry data write payload

Structured data write request for requirement entries

entries
com.meridianpay.remittances.api.dto.meridian.MeridianWriteInformationRequestEntryData · object[]
required

Response

The updated Information Request details

Detailed Information Request payload for the authenticated Meridian account

id
string
required

Unique identifier of the Information Request

Example:

"ir_01HZX1A2B3C4D5E6F7G8H9J0K"

status
enum<string>
required

Current status of the Information Request

Available options:
DRAFT,
PROCESSING_SUBMISSION,
PENDING_REVIEW,
COMPLETED,
CANCELED
Example:

"DRAFT"

subjectType
enum<string>
required

Type of entity the Information Request is associated with

Available options:
ENROLLMENT
Example:

"ENROLLMENT"

subjectId
string
required

Identifier of the entity the Information Request is associated with

Example:

"enrollment_123"

requirements
Information Request Requirement · object[]
required

Requirement contracts and submitted entries for this Information Request

validationStatus
enum<string>
required

Validation status of the Information Request data

Available options:
MISSING,
VALID,
INVALID
Example:

"MISSING"

createdAt
string<date-time>
required

Timestamp when the Information Request was created

Example:

"2026-04-01T12:00:00Z"

updatedAt
string<date-time>
required

Timestamp when the Information Request was last updated

Example:

"2026-04-01T12:05:00Z"

decision
enum<string> | null

Current manual review decision status for the Information Request, if it has been reviewed

Available options:
PENDING,
APPROVED,
REJECTED
Example:

"PENDING"

title
string | null

Display title for the Information Request

Example:

"Business Verification"